> For the complete documentation index, see [llms.txt](https://docs.payshield.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payshield.ai/txalerts-dispute-alerts/api-endpoints/merchant-enrollment.md).

# Merchant Enrollment

`POST /api/v3/merchant/retailer-site-enrollment`

Creates a new retailer and retailer site under an existing merchant, provisions shield settings for the new site, and notifies operations by email.

***

### &#x20;Authorization

<table><thead><tr><th width="180">Requirement</th><th>Detail</th></tr></thead><tbody><tr><td>Authorization</td><td>Bearer authentication header of the form Bearer &#x3C;token></td></tr></tbody></table>

***

### Request

Content-Type: `application/json`

<table><thead><tr><th width="159">Field</th><th width="162">Required</th><th width="139">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>mid</code></td><td><strong>Yes</strong></td><td>int</td><td>Merchant ID. Provided by payshield</td></tr><tr><td><code>retailer_name</code></td><td><strong>Yes</strong></td><td>string</td><td>New retailer name</td></tr><tr><td><code>site_name</code></td><td><strong>Yes</strong></td><td>string</td><td>New retailer site name. </td></tr><tr><td>service</td><td>No</td><td>string</td><td><p>Product the site is enrolled for. Must be enabled on the merchant, otherwise the request is rejected with 400.</p><p>Default: <code>alerts</code>Possible values: <code>alertspayments3dstxfindfraudcheck</code></p></td></tr><tr><td><code>contact_email</code></td><td>No</td><td>string</td><td>Retailer contact email. </td></tr><tr><td><code>country</code></td><td>No</td><td>string</td><td>Two-letter country code (e.g. <code>US</code>). </td></tr><tr><td><code>site_url</code></td><td>No</td><td>string</td><td>Site URL</td></tr><tr><td><code>mcc</code></td><td>No</td><td>string</td><td>Merchant Category Code</td></tr><tr><td><code>remarks</code></td><td>No</td><td>string</td><td>Remarks</td></tr><tr><td><code>alert_notification_url</code></td><td>No</td><td>string</td><td>Url to receive webhook for new alert</td></tr><tr><td><code>token</code></td><td>No</td><td>string</td><td>Bearer token to be used in webhook</td></tr><tr><td><code>alert_status_update_url</code></td><td>No</td><td>string</td><td>Url to receive webhook for alert status update</td></tr><tr><td><code>email_for_alert_notification</code></td><td>No</td><td>string</td><td>Email to receive alert notification. Comma separated if there are more than one.</td></tr></tbody></table>

#### Example

```json
{
  "mid": 10234,
  "retailer_name": "Acme West Retail",
  "site_name": "Acme West Online",
  "contact_email": "ops@acmewest.com",
  "country": "US",
  "site_url": "https://shop.acmewest.com",
  "mcc": "5411",
  "alert_notification_url": "https://acmewest.com/webhooks/alerts",
  "token": "s3cr3t-token",
  "email_for_alert_notification": "alerts@acmewest.com"
}
```

### Response

#### Success — `200`

```json
{
  "status": "ok",
  "rid": 5821,
  "sid": 9043,
  "msg": "Retailer and Site Created"
}
```

#### Error — `401`

```json
{
  "status": "EXC",
  "code": 401,
  "error_msg": {
    "msg": "retailer_name already exists."
  }
}
```

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payshield.ai/txalerts-dispute-alerts/api-endpoints/merchant-enrollment.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
